apply plugin: 'com.android.application'

android {
    compileSdkVersion 33
    buildToolsVersion "33.0.2"

    defaultConfig {
        applicationId "net.micode.notes"
        minSdkVersion 17
        targetSdkVersion 33
        useLibrary 'org.apache.http.legacy'

    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
        }
    }
    namespace 'net.micode.notes'
    buildFeatures {
        viewBinding true
    }
}

apply plugin: 'org.sonarqube'
sonarqube {
    properties {
        property "sonar.sources", "src/main/java"
    }
}

dependencies {
    implementation 'com.android.support:appcompat-v7:28.0.0'
}